# Parameters in `idrac_tools_vars.yml`
This file is located in [/control_plane/input_params](../../../control_plane/input_params/idrac_tools_vars.yml)

| Parameter                        	| Default/Accepted Values               | Additional Information                                                                                                                           	|
|----------------------------------	|---------------------------------------|--------------------------------------------------------------------------------------------------------------------------------------------------	|
| dns_domain_name   [Required]     	|                                       |  * DNS domain name to set to   iDRAC                                                                                                             	|
| ipv4_static_dns1 [Required]      	|                                       | IPV4 static DNS1                                                                                                                                 	|
| ipv4_static_dns2 [Required]      	|                                       | IPV4 static DNS2                                                                                                                                 	|
| smtp_server_ip [Required]        	|                                       | Server IP used for SMTP                                                                                                                          	|
| use_email_address_2fa [Required] 	|                                       | Email address used for enabling 2FA                                                                                                              	|
| smtp_authentication [Required]   	| **disabled**, enabled                 |  SMTP authentication disabled by   default <br> When enabled, ensure that `smtp_username` and   `smtp_password` is filled.                       	|
| smtp_username                    	|                                       | Username used for SMTP                                                                                                                           	|
| smtp_password                    	|                                       | Password   used for SMTP                                                                                                                         	|
| cert_validation_enable           	| **disabled**, enabled                 | CA certification validation value <br> If required user has to   manually upload CA certificate after `idrac_ldap.yml` execution.                	|
| ldap_server_address [Required]   	|                                       | Sever address used for LDAP                                                                                                                      	|
| ldap_port                        	| 636                                   | TCP port port at which the LDAP server is listening for connections   <br> Default Port for LDAP: 389 <br> Default Port for LDAP over   SSL: 636 	|
| bind_dn                          	|                                       | Distinguished Name of the node in your directory tree from which to start   searching for records                                                	|
| bind_password                    	|                                       | Password used for bind_dn                                                                                                                        	|
| base_dn [Required]               	|                                       | The distinguished name of the search base.                                                                                                       	|
| user_attribute                   	|                                       | User attribute used for search in LDAP server                                                                                                    	|
| group_attribute                  	|                                       | Group   attribute used for search in LDAP server                                                                                                 	|
| group_attribute_is_dn            	| **disabled**, enabled                 |  Specify whether the group   attribute type is DN or not                                                                                         	|
| search_filter                    	|                                       | The search scope defines how LDAP will search for your objects.                                                                                  	|
| role_group1_dn [Required]        	|                                       | DN of LDAP group be to added                                                                                                                     	|
| role_group1_privilege [Required] 	| **Administrator**, Operator, ReadOnly |  Privelege to LDAP role group 1                                                                                                                  	|